#include <hc11e1.h>
#include "utils.h"
#include "ir.h"


int iLeft,iRight,iCenter,iRear;

void irInit(void)
{
 // initialize variables
 iLeft=OFF;
 iRight=OFF;
 iCenter=OFF;
 iRear=OFF;

 // reset detectors
 bitSet(&_H11PORTB,2,ON);
}

void irScan(void)
{
 bitSet(&_H11PORTB,2,OFF);
 delayms(56);
 iCenter = !(_H11PORTC & bit(7));
 iLeft = !(_H11PORTC & bit(6));
 iRight = !(_H11PORTC & bit(5));
 iRear = !(_H11PORTC & bit(4));
 bitSet(&_H11PORTB,2,ON);
 delayms(3);
}

int irStatus(int det)
{
 if(det==CENTER) return iCenter;
 else if(det==LEFT) return iLeft;
 else if(det==RIGHT) return iRight;
 else if(det==REAR) return iRear;
 else if(det==ANY)
 {
  if(iCenter||iLeft||iRight)
   return 1;
  else
   return 0;
 }
 else return 0;
}
